summaryrefslogtreecommitdiffstats
path: root/source/n/nftables/nftables.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/nftables/nftables.SlackBuild')
-rwxr-xr-xsource/n/nftables/nftables.SlackBuild16
1 files changed, 12 insertions, 4 deletions
diff --git a/source/n/nftables/nftables.SlackBuild b/source/n/nftables/nftables.SlackBuild
index d6bed8a4d..f7129abf8 100755
--- a/source/n/nftables/nftables.SlackBuild
+++ b/source/n/nftables/nftables.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2014, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2014, 2018, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=nftables
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -78,6 +78,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Upstream patch:
+cat $CWD/5f1676ac9f1aeb36d7695c3c354dade013a1e4f3.patch | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
LIBS="-lncursesw" \
@@ -88,17 +91,22 @@ LIBS="-lncursesw" \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
- --with-python-bin=python3 \
--with-xtables \
--disable-static \
+ --disable-python \
--with-json \
- --enable-python \
--with-cli=readline \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Build python module:
+( cd py
+ python3 -m build --wheel --no-isolation
+ python3 -m installer --destdir="$PKG" dist/*.whl
+)
+
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \